*loop elems
*if(elemsmat==0)
*messagebox - An element without any material was found, some posibilities are that you forget to asign a material to the problem or there is a repited entity over another - Process finished with error
*endif
*end elems
$ Caltep2000  CopyRight 2001, CIMNE
$ Version beta 2.1 
$
CALTEP 2000
$ -------------------------------------
CONTROL DATA
*set var IWRITE(int)=0
*if(strcmp(GenData(ASCII_Output),"Yes")==0) 
*set var IWRITE(int)=1
*endif
  IWRIT = *IWRITE
  TITLE = *GenData(Problem_Title)
END CONTROL DATA
$ -------------------------------------
GEOMETRY DEFINITION
  SCALE = *GenData(Scale_Factor,REAL)
*if(ndime==1)
*loop nodes
*NodesNum *NodesCoord(1)
*end nodes
*elseif(ndime==2)
*loop nodes
*NodesNum *NodesCoord(1) *NodesCoord(2)
*end nodes
*elseif(ndime==3)
*loop nodes
*NodesNum *NodesCoord(1) *NodesCoord(2) *NodesCoord(3)
*end nodes
*endif
END GEOMETRY DEFINITION
$ -------------------------------------
*#                              Cada material es un set de elementos
*set var NSETS(int)=0
*#                             Busca en todos los elementos lineales
*if(nelem(Linear)>0)
*Set elems(Linear)
*loop materials 
*set var cabecera(int)= 0
*loop elems
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = BE03
*else
   ELEMENT TYPE = BE02
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
    *elemsConec(1) *elemsConec(3) *elemsConec(2) 
*else
    *elemsConec
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE CONDUCTIVITY
    X-COND  *MatProp(X-THERMAL_COEFF,real)
    Y-COND  *MatProp(Y-THERMAL_COEFF,real)
    Z-COND  *MatProp(Z-THERMAL_COEFF,real)
    DENSITY *MatProp(DENSITY,real)
    SPECIFIC HEAT  *MatProp(SPECIFIC_HEAT,real)
*if(strcmp(MatProp(ACTIVATE_HEAT_SOURCE),"Yes")==0) 
    HEAT SOURCE = *MatProp(HEAT_SOURCE_VALUE,real)
*else
    HEAT SOURCE = 0.0
*endif
END MATERIAL
$ -------------------------------------
*endif
*end materials
*endif
*#                         Busca en todos los elementos triangulares
*if(nelem(Triangle)>0)
*Set elems(Triangle)
*loop materials
*set var cabecera(int)= 0
*loop elems
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = TR06
*else
   ELEMENT TYPE = TR03
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
    *elemsCOnec(1) *elemsCOnec(4) *elemsCOnec(2) *elemsCOnec(5) *elemsCOnec(3) *elemsCOnec(6) 
*else
    *elemsCOnec
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE CONDUCTIVITY
    X-COND  *MatProp(X-THERMAL_COEFF,real)
    Y-COND  *MatProp(Y-THERMAL_COEFF,real)
    Z-COND  *MatProp(Z-THERMAL_COEFF,real)
    DENSITY *MatProp(DENSITY,real)
    SPECIFIC HEAT  *MatProp(SPECIFIC_HEAT,real)
*if(strcmp(MatProp(ACTIVATE_HEAT_SOURCE),"Yes")==0) 
    HEAT SOURCE = *MatProp(HEAT_SOURCE_VALUE,real)
*else
    HEAT SOURCE = 0.0
*endif
END MATERIAL
$ -------------------------------------
*endif
*end materials
*endif
*#                        Busca en todos los elementos cuadrilateros
*if(nelem(Quadrilateral)>0)
*Set elems(Quadrilateral)
*loop materials
*set var cabecera(int)= 0
*loop elems
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(nnode==4)
   ELEMENT TYPE = QU04
*elseif(nnode==8)
   ELEMENT TYPE = QU08
*elseif(nnode==9)
   ELEMENT TYPE = QU09
*else
*messagebox - An incongruent value was found. Please report error E0291 to CALTEP2000 at CIMNE
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(nnode==4)
   *ElemsConec
*elseif(nnode==8)
   *ElemsConec(1) *ElemsConec(5) *ElemsConec(2) *ElemsConec(6) *ElemsConec(3) *ElemsConec(7) *ElemsConec(4) *ElemsConec(8)  
*elseif(nnode==9)
   *ElemsConec(1) *ElemsConec(5) *ElemsConec(2) *ElemsConec(6) *ElemsConec(3) *ElemsConec(7) *ElemsConec(4) *ElemsConec(8)  *ElemsConec(9)
*else
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE CONDUCTIVITY
    X-COND  *MatProp(X-THERMAL_COEFF,real)
    Y-COND  *MatProp(Y-THERMAL_COEFF,real)
    Z-COND  *MatProp(Z-THERMAL_COEFF,real)
    DENSITY *MatProp(DENSITY,real)
    SPECIFIC HEAT  *MatProp(SPECIFIC_HEAT,real)
*if(strcmp(MatProp(ACTIVATE_HEAT_SOURCE),"Yes")==0) 
    HEAT SOURCE = *MatProp(HEAT_SOURCE_VALUE,real)
*else
    HEAT SOURCE = 0.0
*endif
END MATERIAL
$ -------------------------------------
*endif
*end materials
*endif
*#                         Busca en todos los elementos Tetraedricos
*if(nelem(Tetrahedra)>0)
*Set elems(Tetrahedra)
*loop materials
*set var cabecera(int)= 0
*loop elems
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = PI10
*else
   ELEMENT TYPE = PI04
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
    *elemsCOnec
*else
    *elemsCOnec
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE CONDUCTIVITY
    X-COND  *MatProp(X-THERMAL_COEFF,real)
    Y-COND  *MatProp(Y-THERMAL_COEFF,real)
    Z-COND  *MatProp(Z-THERMAL_COEFF,real)
    DENSITY *MatProp(DENSITY,real)
    SPECIFIC HEAT  *MatProp(SPECIFIC_HEAT,real)
*if(strcmp(MatProp(ACTIVATE_HEAT_SOURCE),"Yes")==0) 
    HEAT SOURCE = *MatProp(HEAT_SOURCE_VALUE,real)
*else
    HEAT SOURCE = 0.0
*endif
END MATERIAL
$ -------------------------------------
*endif
*end materials
*endif
*#                           Busca en todos los elementos Hexahedros
*if(nelem(Hexahedra)>0)
*Set elems(Hexahedra)
*loop materials
*set var cabecera(int)= 0
*loop elems
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = HE20
*else
   ELEMENT TYPE = HE08
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
    *ElemsConec(1) *ElemsConec(9) *ElemsConec(2) *ElemsConec(10) *ElemsConec(3) *ElemsConec(11) *ElemsConec(4) *ElemsConec(12) *ElemsConec(13) *ElemsConec(14) *ElemsConec(15) *ElemsConec(16) *ElemsConec(5) *ElemsConec(17) *ElemsConec(6) *ElemsConec(18) *ElemsConec(7) *ElemsConec(19) *ElemsConec(8) *ElemsConec(20)
*else
    *elemsCOnec
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE CONDUCTIVITY
    X-COND  *MatProp(X-THERMAL_COEFF,real)
    Y-COND  *MatProp(Y-THERMAL_COEFF,real)
    Z-COND  *MatProp(Z-THERMAL_COEFF,real)
    DENSITY *MatProp(DENSITY,real)
    SPECIFIC HEAT  *MatProp(SPECIFIC_HEAT,real)
*if(strcmp(MatProp(ACTIVATE_HEAT_SOURCE),"Yes")==0) 
    HEAT SOURCE = *MatProp(HEAT_SOURCE_VALUE,real)
*else
    HEAT SOURCE = 0.0
*endif
END MATERIAL
$ -------------------------------------
*endif
*end materials
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#                          ELEMENTOS LINEALES DE RADIACION
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(Hexahedra)
*Set Cond Line_External_Temperature *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*messagebox - The external temperature over lines can not be applied on Hexahedra volume elements
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(Tetrahedra)
*Set Cond Line_External_Temperature *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*messagebox - The external temperature over lines can not be applied on Tetrahedra volume elements
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(All)
*Set Cond Line_External_Temperature *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = LIR3
*else
   ELEMENT TYPE = LIR2
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
    *GlobalNodes(1) *GlobalNodes(3) *GlobalNodes(2) 
*else
    *GlobalNodes(1) *GlobalNodes(2)
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE RADIATION
    COEF-RAD *MatProp(RADIATION_COEFF,real)
END MATERIAL
$ -------------------------------------
*endif
*end
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#                     ELEMENTOS SUPERFICIALES DE RADIACION
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#++++++++++++++++++++++++++++++++++              HEXAHEDRA
*Set elems(Hexahedra)
*Set Cond Surface_External_Temperature *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = QUR8
*else
   ELEMENT TYPE = QUR4
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#    *GlobalNodes(1) *GlobalNodes(5) *GlobalNodes(2) *GlobalNodes(6) *GlobalNodes(3) *GlobalNodes(7) *GlobalNodes(4) *GlobalNodes(8)
*else
    *GlobalNodes(4) *GlobalNodes(3) *GlobalNodes(2) *GlobalNodes(1)
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE RADIATION
    COEF-RAD *MatProp(RADIATION_COEFF,real)
END MATERIAL
$ -------------------------------------
*endif
*end
*endif
*#++++++++++++++++++++++++++++++++++              TETRAHEDRA
*Set elems(Tetrahedra)
*Set Cond Surface_External_Temperature *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = TRR6
*else
   ELEMENT TYPE = TRR3
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#    *GlobalNodes(1) *GlobalNodes(4) *GlobalNodes(2) *GlobalNodes(5) *GlobalNodes(3) *GlobalNodes(6)
*else
    *GlobalNodes(1) *GlobalNodes(3) *GlobalNodes(2)
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE RADIATION
    COEF-RAD *MatProp(RADIATION_COEFF,real)
END MATERIAL
$ -------------------------------------
*endif
*end
*endif
*#++++++++++++++++++++++++++++++++++              QUADRILATERAL
*Set elems(Quadrilateral)
*Set Cond Surface_External_Temperature *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = QUR8
*else
   ELEMENT TYPE = QUR4
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#   *ElemsConec(1) *ElemsConec(5) *ElemsConec(2) *ElemsConec(6) *ElemsConec(3) *ElemsConec(7) *ElemsConec(4) *ElemsConec(8)  
*else
    *elemsConec
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE RADIATION
    COEF-RAD *MatProp(RADIATION_COEFF,real)
END MATERIAL
$ -------------------------------------
*endif
*end
*endif
*#++++++++++++++++++++++++++++++++++              TRIANGLE
*Set elems(Triangle)
*Set Cond Surface_External_Temperature *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
*set var NSETS(int)=Operation(NSETS(int)+1)
SET DEFINITION
*if(NSETS(int)<10)
*format "%1i"
*elseif (NSETS(int)<100)
*format "%2i"
*else
*format "%3i"
*endif
  NAME  = *NSETS_SET_NUMBER
*if(IsQuadratic)
   ELEMENT TYPE = TRR6
*else
   ELEMENT TYPE = TRR3
*endif
   MATERIAL NUMBER *NSETS
   BEGIN CONECTIVITIES
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#    *elemsConec(1) *elemsConec(4) *elemsConec(2) *elemsConec(5) *elemsConec(3) *elemsConec(6) 
*else
    *elemsConec
*endif
*endif
*end elems
*if(cabecera==1)
    END CONECTIVITIES
END SET DEFINITION
$ -------------------------------------
MATERIAL DEFINITION
  MATERIAL NUMBER *NSETS
  MATERIAL TYPE RADIATION
    COEF-RAD *MatProp(RADIATION_COEFF,real)
END MATERIAL
$ -------------------------------------
*endif
*end
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#                       CONDICIONES DE TEMPERATURA EXTERNA
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(All)
*Set Cond Line_External_Temperature *nodes
*Add Cond Surface_External_Temperature *nodes
*set var NPRES(int)=CondNumEntities(int)
*if(npres>0)
LOAD CONDITION
  EXTERNAL TEMPERATURE
$   node     value
*loop nodes *OnlyInCond
*NodesNum *cond(1,real)
*end
END LOAD CONDITION
$ -------------------------------------
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#                     CONDICIONES DE TEMPERATURA PRESCRITA
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(All)
*Set Cond Volume_Temperature *nodes
*Add Cond Surface_Temperature *nodes
*Add Cond Line_Temperature *nodes
*Add Cond Point_Temperature *nodes
*set var NPRES(int)=CondNumEntities(int)
*if(npres>0)
BOUNDARY CONDITION
  FIXED TEMPERATURE
$   node     value
*loop nodes *OnlyInCond
*NodesNum *cond(1,real)
*end
END BOUNDARY CONDITION
$ -------------------------------------
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#                               CONDICIONES DE FLUJO NODAL
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(All)
*Set Cond Point_Flux_over_points *nodes
*set var NPRES(int)=CondNumEntities(int)
*if(npres>0)
LOAD CONDITION
  NODAL FLUX
$   node     value
*loop nodes *OnlyInCond
*NodesNum *cond(1,real)
*end
END LOAD CONDITION
$ -------------------------------------
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#                        CONDICIONES DE FLUJO SOBRE LINEAS
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(Hexahedra)
*Set Cond Line_Flux_over_line *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*messagebox - The normal flux over lines can not be applied on Hexahedra volume elements
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(Tetrahedra)
*Set Cond Line_Flux_over_line *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*messagebox - The normal flux over lines can not be applied on Tetrahedra volume elements
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(Linear)
*Set Cond Line_Flux_over_line *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*messagebox - The normal flux over lines can not be applied on Linear elements
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*Set elems(All)
*Set Cond Line_Flux_over_line *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
LOAD CONDITION
   SIDE FLUX
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
    *GlobalNodes(1) *GlobalNodes(3) *GlobalNodes(2) *cond(1,real) *cond(1,real) *cond(1,real)
*else
    *GlobalNodes(1) *GlobalNodes(2) *cond(1,real) *cond(1,real)
*endif
*endif
*end elems
*if(cabecera==1)
END LOAD CONDITION
$ -------------------------------------
*endif
*end
*endif
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#                         ELEMENTOS SUPERFICIALES DE FLUJO
*#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*#++++++++++++++++++++++++++++++++++              HEXAHEDRA
*Set elems(Hexahedra)
*Set Cond Surface_Flux_over_surface *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
LOAD CONDITION
   SURFACE FLUX
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#    *GlobalNodes(1) *GlobalNodes(5) *GlobalNodes(2) *GlobalNodes(6) *GlobalNodes(3) *GlobalNodes(7) *GlobalNodes(4) *GlobalNodes(8) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real)
*else
    *GlobalNodes(4) *GlobalNodes(3) *GlobalNodes(2) *GlobalNodes(1) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real)
*endif
*endif
*end elems
*if(cabecera==1)
END LOAD CONDITION
$ -------------------------------------
*endif
*end
*endif
*#++++++++++++++++++++++++++++++++++              TETRAHEDRA
*Set elems(Tetrahedra)
*Set Cond Surface_Flux_over_surface *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
LOAD CONDITION
   SURFACE FLUX
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#    *GlobalNodes(1) *GlobalNodes(4) *GlobalNodes(2) *GlobalNodes(5) *GlobalNodes(3) *GlobalNodes(6) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) 
*else
    *GlobalNodes(3) *GlobalNodes(2) *GlobalNodes(1) *cond(1,real) *cond(1,real) *cond(1,real) 
*endif
*endif
*end elems
*if(cabecera==1)
END LOAD CONDITION
$ -------------------------------------
*endif
*end
*endif
*#++++++++++++++++++++++++++++++++++              QUADRILATERAL
*Set elems(Quadrilateral)
*Set Cond Surface_Flux_over_surface *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
LOAD CONDITION
   SURFACE FLUX
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#    *GlobalNodes(1) *GlobalNodes(3) *GlobalNodes(2) *GlobalNodes(6) *GlobalNodes(3) *GlobalNodes(7) *GlobalNodes(4) *GlobalNodes(8) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real)
*else
    *GlobalNodes(1) *GlobalNodes(2) *GlobalNodes(3) *GlobalNodes(4) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real)
*endif
*endif
*end elems
*if(cabecera==1)
END LOAD CONDITION
$ -------------------------------------
*endif
*end
*endif
*#++++++++++++++++++++++++++++++++++              TRIANGLE
*Set elems(Triangle)
*Set Cond Surface_Flux_over_surface *elems
*set var extlin(int)=CondNumEntities(int)
*if(extlin>0)
*loop materials
*set var cabecera(int)= 0
*loop elems *onlyincond
*if(ElemsMat==matnum)
*if(cabecera==0)
LOAD CONDITION
   SURFACE FLUX
*set var cabecera(int)= 1
*endif
*if(IsQuadratic)
*messagebox - Surface radiation facility not for this element- Please use a linear element - Process finished with error
*#    *GlobalNodes(1) *GlobalNodes(4) *GlobalNodes(2) *GlobalNodes(5) *GlobalNodes(6) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) *cond(1,real) 
*else
    *GlobalNodes(1) *GlobalNodes(2) *GlobalNodes(3) *cond(1,real) *cond(1,real) *cond(1,real) 
*endif
*endif
*end elems
*if(cabecera==1)
END LOAD CONDITION
$ -------------------------------------
*endif
*end
*endif
*#+++++++++++++++++++++++++++++++++   generacion de calor siempre activo
LOAD CONDITION
    INTERNAL HEAT ON
END LOAD CONDITION
$ -------------------------------------
END DATA

*#++++++++++++++++++++++++++++++++++              fin del fichero
*#++++++++++++++++++++++++++++++++++              fin del fichero
*#++++++++++++++++++++++++++++++++++              fin del fichero
